Update Cloud Connector Configuration

Update Cloud Connector Configuration
Update Cloud Connector Configuration

Update configuration for Cloud Connector deployment.

The Cloud Connector configuration must be provided before deploying the Cloud Connector feature. Cloud Connector can be deployed directly via its deployment API, or it is deployed automatically when required as part of the deployment of dependent features (e.g., NDR or Malware Prevention) that are configured to require cloud connectivity.

Once the Cloud Connector feature has been deployed, configuration changes require the feature to be removed and re-deployed with the new settings.

Request
URI
PUT
https://{api_host}/ssp/lcm/cloud-connector/config
COPY
Request Body

Update Cloud Connector configuration.

CloudConnectorConfiguration of type(s) application/json
Required  
This request body class requires all of the following: ManagedResource , CloudConnectorRegion
{
    "_create_user": "string",
    "_create_time": 0,
    "_last_modified_user": "string",
    "_last_modified_time": 0,
    "_revision": 0,
    "_resource_type": "string",
    "_system_owned": false,
    "id": "string",
    "display_name": "string",
    "description": "string",
    "site_ids": [
        "string"
    ],
    "fqdn": "nsx.west.us.lastline.com",
    "region": "west.us",
    "region_name": "US 1"
}
Authentication
This operation uses the following authentication methods.
Responses
202

Update request has been processed and accepted.

Returns AsyncApiResponse of type(s) application/json
{
    "id": "b8f47985-22ed-3193-bca8-11c7b025cbce",
    "status_url": "/operation/status"
}
string
id
Optional

UUID identifier of the response.

string
status_url
Optional

The URL to check the status of the operation.


400

Bad Request - Invalid configuration parameters.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed - The provided _revision does not match the current persisted value. The client should retrieve the current configuration, merge changes, and retry with the correct revision.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required - The _revision property is required for updates but was not provided in the request body.

Returns Error of type(s) application/json
"Error Object"
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Update operation encountered error.

Returns Error of type(s) application/json
"Error Object"
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/lcm/cloud-connector/config